function CombineWithBasis(iRun,gain_thres)

% nF_basis = 40;
% nF_oriHist = 40;

% working environment for shared sketch experiments -- testing phase
load(sprintf('out_run%d.mat',iRun),'tssNeg','tssPos');
tssNegOH = tssNeg; tssPosOH = tssPos;

load(sprintf('../sigmoidAdaptive/out_run%d.mat',iRun),'tssNeg','tssPos');
tssNegB = tssNeg; tssPosB = tssPos;

tssNeg = zeros(size(tssNeg,1),1);
tssPos = zeros(size(tssPos,1),1);


load(sprintf('../sigmoidAdaptive/model_run%d.mat',iRun),'gain');
tssNeg(:) = tssNeg(:) + sum(tssNegB(:,gain>gain_thres),2);
tssPos(:) = tssPos(:) + sum(tssPosB(:,gain>gain_thres),2);
clear gain;

load(sprintf('model_run%d.mat',iRun),'gain');
tssNeg(:) = tssNeg(:) + sum(tssNegOH(:,gain>gain_thres),2);
tssPos(:) = tssPos(:) + sum(tssPosOH(:,gain>gain_thres),2);

addpath('../');
[ap testAUC tp fp] = evaluate(tssPos,tssNeg,1);

save(sprintf('combinedWithSigmoid_run%d',iRun),'tp','fp','testAUC','ap','tssPos','tssNeg');